{
  "format_version": "1.16.100",
  "minecraft:block": {
    "description": {
      "identifier": "vatonage:nether_reed"
    },
    "components": {
      "minecraft:destroy_time": 0.10,
      "minecraft:explosion_resistance": 1,

      "minecraft:block_light_emission": 0,
         "minecraft:material_instances": {
            "*": {
               "texture": "nether_reed",
               "render_method": "alpha_test"
            }
         },
            "minecraft:placement_filter": {
                "conditions": [
                    {
                        "allowed_faces": ["up"]
                    }
                ]
            },
         "minecraft:geometry": "geometry.block3x16",
         "minecraft:block_light_absorption": 0,
        "minecraft:pick_collision": {
            "origin":  [-1.50, 0.0, -1.50],
            "size":   [3.0, 16.0, 3.0]
        },
        "minecraft:entity_collision": {
            "origin":  [-1.50, 0.0, -1.50],
            "size":   [3.0, 16.0, 3.0]
        },
         "minecraft:on_player_destroyed": {
            "target": "other",
            "event": "vatonage:destroy"
         }
      },
      "events": {
         "vatonage:destroy": {
            "run_command": {
               "command": "fill ~ ~ ~ ~ 120 ~ air 0 replace vatonage:nether_reed"
            }
         }
      }
   }
}